#2803 closed enhancement (fixed)

Get rid of CPU_BIG_ENDIAN and CPU_LITTLE_ENDIAN

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

The remaining uses of the CPU port defines CPU_BIG_ENDIAN and CPU_LITTLE_ENDIAN should be replaced by the BSD (also available in glibc) BYTE_ORDER.

Change History (10)

comment:1 Changed on Nov 7, 2016 at 6:48:53 AM by Sebastian Huber

Description: modified (diff)

comment:2 Changed on Jan 24, 2017 at 7:40:44 AM by Sebastian Huber <sebastian.huber@…>

In dc9b70445015402d4d043830ecf4dd84b9400d49/rtems:

Provide <endian.h> for glibc compatibility

Update #2803.

comment:3 Changed on Jan 24, 2017 at 7:40:56 AM by Sebastian Huber <sebastian.huber@…>

In 2711914f828d19d726d3b2d9cda401352b626fc2/rtems:

Use <sys/endian.h>

Update #2803.

comment:4 Changed on Jan 24, 2017 at 7:41:07 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 4aa23c9641225476bd61b1f64e324bbd0f76eab5/rtems:

Remove CPU_BIG_ENDIAN and CPU_LITTLE_ENDIAN

Use de-facto standard BYTE_ORDER instead.

Close #2803.

comment:5 Changed on Jan 24, 2017 at 2:26:47 PM by Joel Sherrill

Is this mentioned in the porting guide? If so, that needs touching as well.

If this topic isn't mentioned (which would surprise me), then we need a ticket to discuss endian issues in porting.

comment:6 Changed on Jan 24, 2017 at 2:31:59 PM by Sebastian Huber

Where can I find the porting guide?

comment:8 Changed on Jan 25, 2017 at 10:23:37 AM by Sebastian Huber

I never used this guide before. My main reference for CPU ports is https://git.rtems.org/rtems/tree/cpukit/score/cpu/no_cpu/rtems/score/cpu.h. It seems that it is not even built in the rtems-docs. Without looking at it, I guess it is out of date and I would need several days to fix this.

comment:9 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:10 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.